For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/affiliate/account‑types

get

Get affiliate account types

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
deletedintegerOptionalDefault: 0
customintegerOptionalDefault: 1
countintegerOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
get/api/affiliate/account-types
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'deleted' => 1,
		'count' => 1000
	);

$request = array(
	'method' => 'GET',
	'path' => 'affiliate/account-types',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "types": [
    {
      "accountid": 0,
      "name": "Affiliate",
      "deleted": 0,
      "custom": 0,
      "count": "1"
    },
    {
      "accountid": 100,
      "name": "Account Rep",
      "deleted": 0,
      "custom": 0,
      "count": "1"
    },
    {
      "accountid": 115,
      "name": "Customer Service Rep",
      "deleted": 0,
      "custom": 0,
      "count": 0
    },
    {
      "accountid": 125,
      "name": "Site Partner",
      "deleted": 0,
      "custom": 0,
      "count": 0
    },
    {
      "accountid": 150,
      "name": "Sub Admin",
      "deleted": 0,
      "custom": 0,
      "count": 0
    },
    {
      "accountid": 200,
      "name": "TMM Admin",
      "deleted": 0,
      "custom": 0,
      "count": 0
    },
    {
      "accountid": 225,
      "name": "Admin",
      "deleted": 0,
      "custom": 0,
      "count": "2"
    },
    {
      "accountid": "1000",
      "name": "test type",
      "deleted": "0",
      "thumb": "",
      "thumb_ext": "",
      "custom": 1,
      "count": 0
    }
  ]
}

Last updated

Was this helpful?